BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Application.Repositories.UserProfileRepository Class Reference
Inheritance diagram for BMA.EHR.Application.Repositories.UserProfileRepository:

## Public Member Functions
| UserProfileRepository (IApplicationDBContext dbContext, IHttpContextAccessor httpContextAccessor)
async Task< Profile?> | GetProfileByKeycloakIdAsync (Guid keycloakId)
async Task< bool > | UpdateDutyTimeAsync (Guid profileId, Guid roundId, DateTime effectiveDate)
async Task< List< Profile > > | SearchProfile (string? citizenId, string? firstName, string? lastName)
async Task< List< Profile > > | SearchProfileEmployee (string? citizenId, string? firstName, string? lastName)
string | GetUserFullName (Guid keycloakId)
Guid | GetUserOCId (Guid keycloakId)
Guid? | GetRootOcId (Guid ocId)
Public Member Functions inherited from BMA.EHR.Application.Repositories.GenericRepository< Guid, Profile >
| GenericRepository (IApplicationDBContext dbContext, IHttpContextAccessor httpContextAccessor)
async Task< Guid > | GetProfileOrganizationAsync (string citizenId)
async Task< bool > | CheckIsActiveOfficerAsync (string citizenId)
virtual async Task< IReadOnlyList< T > > | GetAllAsync ()
virtual async Task< T?> | GetByIdAsync (S id)
virtual async Task< T > | AddAsync (T entity)
virtual async Task< T > | UpdateAsync (T entity)
virtual async Task | DeleteAsync (T entity)

## Additional Inherited Members
Properties inherited from BMA.EHR.Application.Repositories.GenericRepository< Guid, Profile >
string? | UserId`[get]`
string? | FullName`[get]`
bool? | IsPlacementAdmin`[get]`

## Constructor & Destructor Documentation

## ◆ UserProfileRepository()

BMA.EHR.Application.Repositories.UserProfileRepository.UserProfileRepository | ( | IApplicationDBContext | dbContext,
|  | IHttpContextAccessor | httpContextAccessor
| ) |  |
| inline

## Member Function Documentation

## ◆ GetProfileByKeycloakIdAsync()

async Task< Profile?> BMA.EHR.Application.Repositories.UserProfileRepository.GetProfileByKeycloakIdAsync | ( | Guid | keycloakId | ) |
| inline

## ◆ GetRootOcId()

Guid? BMA.EHR.Application.Repositories.UserProfileRepository.GetRootOcId | ( | Guid | ocId | ) |
| inline

## ◆ GetUserFullName()

string BMA.EHR.Application.Repositories.UserProfileRepository.GetUserFullName | ( | Guid | keycloakId | ) |
| inline

## ◆ GetUserOCId()

Guid BMA.EHR.Application.Repositories.UserProfileRepository.GetUserOCId | ( | Guid | keycloakId | ) |
| inline

## ◆ SearchProfile()

async Task< List< Profile > > BMA.EHR.Application.Repositories.UserProfileRepository.SearchProfile | ( | string? | citizenId,
|  | string? | firstName,
|  | string? | lastName
| ) |  |
| inline

## ◆ SearchProfileEmployee()

async Task< List< Profile > > BMA.EHR.Application.Repositories.UserProfileRepository.SearchProfileEmployee | ( | string? | citizenId,
|  | string? | firstName,
|  | string? | lastName
| ) |  |
| inline

## ◆ UpdateDutyTimeAsync()

async Task< bool > BMA.EHR.Application.Repositories.UserProfileRepository.UpdateDutyTimeAsync | ( | Guid | profileId,
|  | Guid | roundId,
|  | DateTime | effectiveDate
| ) |  |
| inline

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/UserProfileRepository.cs